# Schema for the configuration files of the EU Cookie Compliance.

eu_cookie_compliance.settings:
  type: config_object
  label: 'EU Cookie Compliance Settings'
  mapping:
    uuid:
      type: uuid
      label: 'UUID'
    popup_enabled:
      type: boolean
      label: 'Enable banner'
    popup_clicking_confirmation:
      type: boolean
      label: 'Consent by clicking'
    popup_scrolling_confirmation:
      type: boolean
      label: 'Consent by scrolling'
    eu_only:
      type: boolean
      label: 'Only display banner in EU countries.'
    eu_only_js:
      type: boolean
      label: 'Only display banner in EU countries (Javascript based).'
    popup_position:
      type: boolean
      label: 'Place the banner at the top of the website'
    fixed_top_position:
      type: boolean
      label: "If the banner is at the top, don't scroll the banner with the page."
    popup_info:
      type: mapping
      label: 'Cookie information banner message'
      mapping:
        value:
          type: text
          label: 'Cookie information banner message - Value'
        format:
          type: string
          label: 'Cookie information banner message - Format'
    mobile_popup_info:
      type: mapping
      label: 'Cookie information banner message - mobile'
      mapping:
        value:
          type: text
          label: 'Cookie information banner message - mobile - Value'
        format:
          type: string
          label: 'Cookie information banner message - mobile - Format'
    popup_info_template:
      type: string
      label: 'Template to use for "consent by default" method'
    popup_agree_button_message:
      type: label
      label: 'Agree button message'
    popup_more_info_button_message:
      type: label
      label: 'Cookie Policy button message'
    mobile_breakpoint:
      type: integer
      label: 'Mobile breakpoint'
    popup_agreed_enabled:
      type: boolean
      label: 'Enable "Thank you" banner.'
    popup_hide_agreed:
      type: boolean
      label: 'Clicking hides "Thank you" banner.'
    disagree_button_label:
      type: label
      label: 'Disagree button label'
    popup_agreed:
      type: mapping
      label: 'Thank you banner message'
      mapping:
        value:
          type: text
          label: 'Thank you banner message - Value'
        format:
          type: string
          label: 'Thank you banner message - Format'
    popup_find_more_button_message:
      type: label
      label: 'More info button label'
    popup_hide_button_message:
      type: label
      label: 'Hide button label'
    popup_link:
      type: label
      label: 'Privacy policy link'
    popup_link_new_window:
      type: boolean
      label: 'Open privacy policy link in a new window.'
    popup_height:
      type: integer
      label: 'Banner height in pixels'
    popup_width:
      type: string
      label: 'Banner width in pixels or a percentage value'
    popup_delay:
      type: integer
      label: 'Banner sliding animation time in milliseconds'
    show_more_info:
      type: boolean
      label: 'Show "Cookie Policy" and "More info" buttons'
    popup_bg_hex:
      type: string
      label: 'Background color'
    popup_text_hex:
      type: string
      label: 'Text color'
    domain:
      type: string
      label: 'Domain'
    domains_option:
      type: integer
      label: 'Add/Remove banner on specified domains'
    domains_list:
      type: string
      label: 'Domains list'
    exclude_paths:
      type: string
      label: 'Exclude paths'
    exclude_admin_theme:
      type: boolean
      label: 'Exclude admin pages.'
    cookie_session:
      type: integer
      label: 'Cookie session'
    cookie_lifetime:
      type: integer
      label: 'Cookie lifetime'
    use_mobile_message:
      type: boolean
      label: 'Use a different message for mobile phones'
    use_bare_css:
      type: boolean
      label: 'Include minimal CSS, I want to style the overlay in the theme CSS'
    disagree_do_not_show_popup:
      type: boolean
      label: 'Do not show cookie policy when the user clicks the "Cookie Policy" button.'
    reload_page:
      type: boolean
      label: 'Reload page after user clicks the "Agree" button.'
    cookie_name:
      type: string
      label: 'Cookie name'
    exclude_uid_1:
      type: boolean
      label: "Don't show the banner for UID 1."
    better_support_for_screen_readers:
      type: boolean
      label: 'Let screen readers see the banner before other links on the page'
    method:
      type: string
      label: 'Consent method'
    disabled_javascripts:
      type: string
      label: 'Disable JavaScripts'
    whitelisted_cookies:
      type: string
      label: 'Whitelisted cookies'
    consent_storage_method:
      type: string
      label: 'Consent storage method'
    withdraw_message:
      type: mapping
      label: 'Withdraw consent banner message'
      mapping:
        value:
          type: text
          label: 'Withdraw consent banner message - Value'
        format:
          type: string
          label: 'Withdraw consent banner message - Format'
    withdraw_tab_button_label:
      type: label
      label: 'Privacy settings tab label'
    withdraw_action_button_label:
      type: label
      label: 'Withdraw consent action button label'
    withdraw_enabled:
      type: boolean
      label: 'Enable floating privacy settings tab and withdraw consent banner'
    withdraw_button_on_info_popup:
      type: boolean
      label: 'Put the withdraw consent action button on the cookie information banner'
    cookie_categories:
      type: text
      label: 'List of cookie categories with separate consent'
    save_preferences_button_label:
      type: label
      label: 'Save preferences action button label'
    accept_all_categories_button_label:
      type: label
      label: 'Accept all categories action button label'
    enable_save_preferences_button:
      type: boolean
      label: 'Replace the Agree button by a Save preferences and an Accept all categories button'
    select_all_categories_by_default:
      type: boolean
      label: 'Check all checkboxes by default'
    fix_first_cookie_category:
      type: boolean
      label: 'Check the first checkbox and mark it read only'
    domain_all_sites:
      type: boolean
      label: 'Allow the cookie to be set for all sites on the same domain'
